%define ver 2.01
%define patchlevel 10
%define contentdir /var/www

Name:      webalizer
Summary:   A flexible web server log file analysis program
Group:     Applications/Internet
Version:   %{ver}_%{patchlevel}
Release:   1
Source0:   ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlevel}-src.tar.bz2
Source1:   webalizer.conf
Source2:   webalizer.cron
Patch0:    webalizer-2.01-06-rh.patch
Patch1:    dns-db1.patch
URL:       http://www.mrunix.net/webalizer/
License:   GPL
Requires:  webserver
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gd-devel, zlib-devel, libpng-devel

%description
The Webalizer is a web server log analysis program. It is designed to
scan web server log files in various formats and produce usage
statistics in HTML format for viewing through a browser.  It produces
professional looking graphs which make analyzing when and where your
web traffic is coming from easy.


%prep
%setup -q -n %{name}-%{ver}-%{patchlevel}
%patch0 -p1 -b .rh
%patch1 -p1 -b .db1

%build
%configure --enable-dns
perl -pi -e "s/-Wall -O2/$RPM_OPT_FLAGS/" Makefile

make

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
         $RPM_BUILD_ROOT/%{_mandir}/man1 \
         $RPM_BUILD_ROOT%{contentdir}/html/usage \
         $RPM_BUILD_ROOT/etc/cron.daily

%makeinstall

install -m 644 $RPM_SOURCE_DIR/webalizer.conf $RPM_BUILD_ROOT/etc
install -m 644 *.png $RPM_BUILD_ROOT%{contentdir}/html/usage
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/00webalizer

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man1/webalizer.1*
%{_bindir}/*
%config(noreplace) /etc/webalizer.conf
%config(noreplace) /etc/cron.daily/00webalizer
%dir %{contentdir}/html/usage
%{contentdir}/html/usage/*.png

%changelog
* Wed Apr 17 2002 Peter Hanecak <hanecak@megaloman.sk>
[2.01_10-1]

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
[2.01_09-1]
- merged changes from RedHat's webalizer-2.01_09-0.71 package (see below)

* Wed Oct 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.01_09-1
- Update to 2.01-09, fixing security bugs

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.01_06-13
- update config file (bug #53881)

* Sun Sep 16 2001 Than Ngo <than@redhat.com> 2.01_06-12
- add patch from author to fix Webalizer dumps core when MangleAgents is set to 1

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove empty post
- Mark the crontab file as config(noreplace) 

* Fri Jul 13 2001 Than Ngo <than@redhat.com> 2.01_06-10
- fix build dependencies (bug #48939)
- Copyright->License

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- add missing icons (bug #43220)

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Fri May 18 2001 Than Ngo <than@redhat.com>
- don't run webalizer when access log file is empty (Bug #41322)

* Wed Feb 14 2001 Tim Powers <timp@redhat.com>
- enable dns-lookups (patched to use correct db header) (bug #27612)

* Thu Feb  1 2001 Tim Powers <timp@redhat.com>
- make the cronjob called 00webalizer, so that it runs before everything else

* Wed Jan 31 2001 Tim Powers <timp@redhat.com>
- fixed bug 25351, where webalizer was being run after apache is
  logrotated.

* Wed Oct 18 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.01-06-1]

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- update to 2.01-06

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- fixed wrong OutputDir (bug #19180)

* Mon Oct  9 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.01-05-1]

* Thu Sep 28 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.01-02-1]
- small spec changes
- dropped patches (webalizer-2.00-12-grn.patch and
  webalizer-2.00-12-mldebug.patch)

* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Tue Jul 25 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-12-3]
- spec improvements

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 19 2000 Karsten Hopp <karsten@redhat.de>
- rebuild for 7.0
- changed mandir
- changed graph output to png instead of gif
- changed path to apache root (/var/www)

* Fri May 12 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-12-2]
- gethostbyaddr()-returns-null patch
- spec fixes (%files, buld root, documentation, ...)

* Tue Apr 25 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-12-1]

* Sun Apr  9 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-11-1]

* Mon Apr  3 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-10-1]

* Mon Mar 27 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-08-1]

* Thu Mar 23 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-07-1]

* Thu Mar 16 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-06-2]
- rebuild against gd-1.8.1

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-06-1]

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
[2.00-04-1]
- removed icon (it was GIF :)

* Mon Feb 21 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.30.05-1]

* Mon Nov 08 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- handle RPM_OPT_FLAGS

* Tue Sep 28 1999 Preston Brown <pbrown@redhat.com>
- updated for Secure Web Server 3.1

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
[1.30.04-4]
- rebuild against gd-1.6.3 (now PNG images are used)

* Sun Aug 29 1999 Peter Hanecak <hanecak@megaloman.sk>
[1.30.04-3]
- source changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
  [1.30.04-2]
  crontab activated each Sunday at 4:01 AM (just before apache rotate its log)

* Thu Aug 26 1999 Henri Gomez <gomez@slib.fr>
  [1.30-04]
  Big rework of RPM (at least configure support)
  Adapted spec to RPM 3 naming conventions,
  Changed URL
  Added icon
  Corrected -lz
  Adapted /etc/webalizer.conf to Redhat 
  New directory usage in /home/httpd/html/usage
  Add month cron in /etc/crontab

* Mon May 03 1999 Preston Brown <pbrown@redhat.com>
- initial build for Secure Web Server 3.0

* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release
